<?php
/**
 * Created by PhpStorm.
 * User: Patrik
 * Date: 22.11.2018
 * Time: 21:04
 */

namespace App\Presenters;

use Nette;
use Nette\Application\UI\Form;
use Nette\Security\Passwords;

class RegisterPresenter extends Nette\Application\UI\Presenter
{
    private $database;

    public function __construct(Nette\Database\Context $database) {
        $this->database = $database;
    }

    public function createComponentRegisterForm() {
        $form = new Form;
        $form->addEmail('mail', 'Mail:')
            ->setRequired();
        $form->addPassword('password', 'Password:')
            ->setRequired();
        $form->addPassword('secondPassword', 'Password again:')
            ->setRequired();

        $form->addSubmit('send', 'Register');
        $form->onSuccess[] = [$this, 'registerFormSucceeded'];

        return $form;
    }

    public function registerFormSucceeded(Form $form, \stdClass $values)
    {
        if($values->password != $values->secondPassword) {
            $this->flashMessage('Passwords does not match.', 'error');
            $this->redirect('Register:up');
        } else {
            $this->database->query('INSERT INTO users ', [
                'mail' => $values->mail,
                'password' => Passwords::hash($values->password),
            ]);
            $this->flashMessage('Your account was created.', 'success');
            $this->redirect('Sign:in');
        }
    }
}