<?php
/**
 * Created by PhpStorm.
 * User: Patrik
 * Date: 11.12.2018
 * Time: 20:27
 */

namespace App\Presenters;

use Nette;
use Nette\Security\IAuthenticator;

class UserAuthenticator implements IAuthenticator
{
    private $database;

    public function __construct(Nette\Database\Context $database)
    {
        $this->database = $database;
    }

    public function authenticate(array $credentials)
    {
        list($mail, $password) = $credentials;
        $row = $this->database->table('users')
            ->where('mail', $mail)->fetch();

        if (!$row) {
            throw new Nette\Security\AuthenticationException('User not found.');
        }

        if (!Nette\Security\Passwords::verify($password, $row->password)) {
            throw new Nette\Security\AuthenticationException('Invalid password.');
        }

        return new Nette\Security\Identity($row->id, ['mail' => $row->mail]);
    }
}